Bug 1057909 - Review Request: mingw-qt5-qtquickcontrols - Qt5 for Windows - QtQuickControls component
Summary: Review Request: mingw-qt5-qtquickcontrols - Qt5 for Windows - QtQuickControls...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858058
Blocks: 1357424
TreeView+ depends on / blocked
 
Reported: 2014-01-25 23:37 UTC by Erik van Pienbroek
Modified: 2016-09-06 18:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 18:22:56 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Erik van Pienbroek 2014-01-25 23:37:03 UTC
Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtquickcontrols/mingw-qt5-qtquickcontrols.spec
SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtquickcontrols/5.2.0/2.fc21/src/mingw-qt5-qtquickcontrols-5.2.0-2.fc21.src.rpm
Fedora Account System Username: epienbro
Description:
This package contains the Qt software toolkit for developing cross-platform applications. This is the Windows version of Qt, for use in conjunction with the Fedora Windows cross-compiler.

Comment 2 Erik van Pienbroek 2014-05-28 20:23:18 UTC
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtquickcontrols/mingw-qt5-qtquickcontrols.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtquickcontrols/5.3.0/1.fc21/src/mingw-qt5-qtquickcontrols-5.3.0-1.fc21.src.rpm
Koji scratch build: https://koji.vanpienbroek.nl/koji/buildinfo?buildID=210

* Sun May 25 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.3.0-1
- Update to 5.3.0
- Make sure the .dll.a files are included in the main packages

Comment 3 The Source 2015-01-28 07:18:21 UTC
Any chance binary packages for mingw32 and mingw64 get to fedora repository?

Comment 6 Martin Bříza 2016-08-25 09:51:49 UTC
Updated Spec URL: http://paste.fedoraproject.org/413734/47211866/
Updated SRPM URL: https://copr-be.cloud.fedoraproject.org/results/przemal/mingw-qt5-qtquickcontrols/fedora-24-x86_64/00428684-mingw-qt5-qtquickcontrols/mingw-qt5-qtquickcontrols-5.6.0-2.fc24.src.rpm
Copr URL: https://copr.fedorainfracloud.org/coprs/przemal/mingw-qt5-qtquickcontrols/

* Fri Jul 29 2016 Przemysław Palacz <pprzemal@gmail.com> - 5.6.0-1
- Update to 5.6.0

* Wed Mar 23 2016 Przemysław Palacz <pprzemal@gmail.com> - 5.5.1-2
- Rebuilt against latest mingw-qt5-qtbase

Comment 7 Igor Gnatenko 2016-09-01 10:55:27 UTC
> %global release_version %(echo %{version} | awk -F. '{print $1"."$2}')
%global release_version %(v=%{version}; echo ${v%.${v#[0-9].[0-9].}})

* Looks like missing BuildRequires:  mingwXY-gcc
* Replace $RPM_BUILD_ROOT with %{buildroot} for readability
* It seems that nothign from %mingwXY_bindir is packaged, I think there should be some DLLs.

Comment 8 Martin Bříza 2016-09-01 11:32:36 UTC
Updated Spec URL: http://paste.fedoraproject.org/418853/72729479/
Updated SRPM URL: https://mbriza.fedorapeople.org/mingw-qt5-qtquickcontrols-5.6.0-2.fc25.src.rpm
Fedora Account System Username: mbriza

* Thu Sep 01 2016 Martin Bříza <mbriza@redhat.com> - 5.6.0-2
- Specfile tweaks

(In reply to Igor Gnatenko from comment #7)
> > %global release_version %(echo %{version} | awk -F. '{print $1"."$2}')
> %global release_version %(v=%{version}; echo ${v%.${v#[0-9].[0-9].}})

fixed

> * Looks like missing BuildRequires:  mingwXY-gcc

fixed

> * Replace $RPM_BUILD_ROOT with %{buildroot} for readability

fixed

> * It seems that nothign from %mingwXY_bindir is packaged, I think there
> should be some DLLs.

Not having anything in bindir is correct. QtQuickControls are just modules for QtQuick.

Comment 9 Fedora Update System 2016-09-01 13:26:32 UTC
mingw-qt5-qtquickcontrols-5.6.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-864704f125

Comment 10 Fedora Update System 2016-09-03 03:55:06 UTC
mingw-qt5-qtquickcontrols-5.6.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-864704f125

Comment 11 Fedora Update System 2016-09-06 18:22:52 UTC
mingw-qt5-qtquickcontrols-5.6.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.